const CONSTR = process.env.AZURE_STORAGE_CONNECTION_STRING;
const { QueueClient } = require("@azure/storage-queue");
async function main() {
    const queueClient = new QueueClient(CONSTR, "nodejsqueue");
    const received = await queueClient.receiveMessages({ numberOfMessages : 5 });
    for (i = 0; i < received.receivedMessageItems.length; i++) {
        receivedMessage = received.receivedMessageItems[i];
        console.log("\tProcessing:", receivedMessage.messageText);
    
        // Delete the message
        const deleteMessageResponse = await queueClient.deleteMessage(
            receivedMessage.messageId,
            receivedMessage.popReceipt
        );
        console.log("\tMessage deleted, requestId:", deleteMessageResponse.requestId);
    }
}
main().then(() => console.log("\nDone")).catch((ex) => console.log(ex.message));
