from azure.cosmos import CosmosClient, PartitionKey
import azure.cosmos.errors as errors
import os, urllib.request, json
endpoint = "https://kenichirocosmos.documents.azure.com:443/"
cosmos_key = os.getenv('AZURE_COSMOS_KEY')

cosmos_client = CosmosClient(endpoint, cosmos_key)
db_client = cosmos_client.get_database_client("RetailDemo")
container = db_client.get_container_client("WebsiteData")
bloburl = "https://cosmosnotebooksdata.blob.core.windows.net/notebookdata/websiteData.json"
with urllib.request.urlopen(bloburl) as url:
   data = json.loads(url.read().decode())

print("Importing data. This will take a few minutes...\n")

for event in data:
  try: 
     container.upsert_item(body=event)
  except errors.CosmosHttpResponseError as e:
     raise

## Run a query against the container to see number of documents
query = 'SELECT VALUE COUNT(1) FROM c'
result = list(container.query_items(query, enable_cross_partition_query=True))

print('Container with id \'{0}\' contains \'{1}\' items'.format(container.id, result[0]))
