from azure.cosmos import CosmosClient
import os, pandas as pd
endpoint = "https://kenichirocosmos.documents.azure.com:443/"
cosmos_key = os.getenv('AZURE_COSMOS_KEY')

cosmos_client = CosmosClient(endpoint, cosmos_key)
db_client = cosmos_client.get_database_client("RetailDemo")
container = db_client.get_container_client("WebsiteData")
query = "SELECT c.Action, c.Price as ItemRevenue, c.Country, c.Item FROM c"
items = []
for item in container.query_items(query,enable_cross_partition_query=True):
    items.append(item)

df_cosmos = pd.DataFrame(items)
# get the sum of total sales revenue for each country/region and display head 5
df_revenue = df_cosmos.groupby("Country").sum().reset_index()
print(df_revenue.head(5))

# What are the top 5 purchased items?
df = pd.DataFrame(df_cosmos[df_cosmos['Action']=='Purchased'].groupby('Item').size(). \ 
    sort_values(ascending=False).head(5), columns=['Count'])
print(df)
