var devicemqtt = require("azure-iot-device-mqtt");
var device = require("azure-iot-device");
//
// ---------------------------------------------------------------
function printResultFor(op) {
  return function printResult(err, res) {
    if (err) console.log(op + " error: " + err.toString());
    if (res) console.log(op + " status: " + res.constructor.name);
  };
}
// ---------------------------------------------------------------
function define_data_proc() {
  const jikan = new Date();
  const hour = jikan.getHours();
  const minute = jikan.getMinutes();
  const second = jikan.getSeconds();
  const current_time = "" + hour + ":" + minute + ":" + second;
  const tt = (20 + Math.random() * 15) * 10;
  const temperature = Math.round(tt) / 10;
  const hh = (60 + Math.random() * 20) * 10;
  const humidity = Math.round(hh) / 10;
  const ddx = {
    deviceId: "dev001",
    time: current_time,
    temperature: temperature,
    humidity: humidity,
  };
  const data = JSON.stringify(ddx);
  return data;
}

var Message = device.Message;

const connectionString = "HostName...＜＜接続文字列＞＞...=";

var client = devicemqtt.clientFromConnectionString(connectionString);

var connectCallback = function (err) {
  if (err) {
    console.error("Could not connect: " + err);
  } else {
    console.log("Client connected");

    setInterval(function () {
      const data = define_data_proc();
      var message = new Message(data);
      console.log("Sending message: " + message.getData());
      client.sendEvent(message, printResultFor("send"));
    }, 5000);
  }
};

client.open(connectCallback);
