import os
from azure.servicebus import ServiceBusClient, ServiceBusMessage
connect_str = os.getenv('AZURE_QUEUE_STRING')
QUEUE_NAME = "testqueue"
servicebus_client = ServiceBusClient.from_connection_string(conn_str=connect_str,
    logging_enable=True)
with servicebus_client:
    # get the Queue Receiver object for the queue
    receiver = servicebus_client.get_queue_receiver(queue_name=QUEUE_NAME, max_wait_time=5)
    with receiver:
        for msg in receiver:
            print("Received: " + str(msg))
            # complete the message so that the message is removed from the queue
            receiver.complete_message(msg)
