const { delay, ServiceBusClient, ServiceBusMessage } = require("@azure/service-bus");
const connectionString = process.env.AZURE_QUEUE_STRING;
const topicName = "testtopic"
const subscriptionName = "S1"

 async function main() {
	const sbClient = new ServiceBusClient(connectionString);
	const receiver = sbClient.createReceiver(topicName, subscriptionName);

	const myMessageHandler = async (messageReceived) => {
		console.log(`Received message: ${messageReceived.body}`);
	};
	const myErrorHandler = async (error) => {
		console.log(error);
	};
	receiver.subscribe({
		processMessage: myMessageHandler,
		processError: myErrorHandler
	});
	await delay(5000);
	await receiver.close();	
	await sbClient.close();
}    
// call the main function
main().catch((err) => {
	console.log("Error occurred: ", err);
	process.exit(1);
 });
