import os
from azure.servicebus import ServiceBusClient, ServiceBusMessage
connect_str = os.getenv('AZURE_QUEUE_STRING')
TOPIC_NAME = "testtopic"
servicebus_client = ServiceBusClient.from_connection_string(conn_str=connect_str,
    logging_enable=True)

with servicebus_client:
    receiver = servicebus_client.get_subscription_receiver(topic_name=TOPIC_NAME, 
        subscription_name="S2", max_wait_time=5)
    with receiver:
        for msg in receiver:
            print("Received: " + str(msg))
            receiver.complete_message(msg)
