const level = require("level");
const db = level("leveldb");

test("get item", async () => {
  await db.put("student:1", JSON.stringify({ name: "Taro", age: 15 }));
  await db.put("student:2", JSON.stringify({ name: "Jiro", age: 13 }));
  await db.put("student:3", JSON.stringify({ name: "Hana", age: 11 }));
  db.get("student:3").then((v) => {
    const d = JSON.parse(v);
    expect(d).toEqual({ name: "Hana", age: 11 });
  });
});

test("del item", async () => {
  await db.put("student:1", JSON.stringify({ name: "Taro", age: 15 }));
  await db.put("student:2", JSON.stringify({ name: "Jiro", age: 13 }));
  await db.put("student:3", JSON.stringify({ name: "Hana", age: 11 }));
  db.del("student:2");
  db.get("student:2").catch((v) => {
    expect(v.message).toMatch(/Key not found/);
  });
});
