import { shallowMount } from "@vue/test-utils";
import InventoryChart from "@/components/InventoryChart.vue";

describe("InventoryChart.vue", () => {
    let wrapper;
    beforeEach(() => {
        wrapper = shallowMount(InventoryChart, {
            props: {
                models: ["A", "B", "C"],
                data: [50, 30, 45],
                title: "在庫状況",
                color: "rgb(255, 99, 132)"
            },
        });
    });

    it("test1) model names are listed up", () => {
        const col2 = wrapper.findAll("div.col-2");
        expect(col2.length).toBe(3);
        expect(col2[0].text()).toMatch("A");
        expect(col2[1].text()).toMatch("B");
        expect(col2[2].text()).toMatch("C");
    });

    it("test2) graph width = count * 10", () => {
        const bars = wrapper.findAll("div.bar");
        expect(bars.length).toBe(3);
        expect(bars[0].attributes("style")).toMatch("width: 500px;");
        expect(bars[1].attributes("style")).toMatch("width: 300px;");
        expect(bars[2].attributes("style")).toMatch("width: 450px;");
    });

    it("test3) title displayed at the top", () => {
        const title = wrapper.find("div.row");  // get the first row
        // console.log(title.html())
        // console.log(title.text())
        expect(title.text()).toEqual("在庫状況")
    })
});
