import { shallowMount } from "@vue/test-utils";
import InventoryHistory from "@/components/InventoryHistory.vue";

describe("InventoryHistory.vue", () => {
  it("test1) empty table if invetory props is empty", () => {
    const wrapper = shallowMount(InventoryHistory, {
      props: { inventory: [] },
    });
    expect(wrapper.text()).toMatch("型番入庫出庫");
  });

  it("test2) table displays inventory information", () => {
    const wrapper = shallowMount(InventoryHistory, {
      props: {
        inventory: [
          { model: "A", add: 10, del: 0, id: 1 },
          { model: "B", add: 0, del: 6, id: 2 },
        ],
      },
    });
    const tds = wrapper.findAll("td");
    const texts = ["A", "10", "0", "B", "0", "6"];
    for (let i = 0; i < 6; i++) {
      expect(tds[i].text()).toMatch(texts[i]);
    }
  });
});
