import {
    assertSucceeds,
    initializeTestEnvironment,
} from "@firebase/rules-unit-testing"

import { readFileSync } from "fs";
import { setDoc, getDoc, doc, updateDoc } from "firebase/firestore";

describe("App.vue", () => {
    let testEnv;

    beforeAll(async () => {
        testEnv = await initializeTestEnvironment({
            projectId: "demo-project-1234",
            firestore: {
                // rules: readFileSync("firestore.rules", "utf8"),
                host: "localhost",
                port: 8080
            },
        });
    })

    beforeEach(async () => {
        await testEnv.clearFirestore()
    })

    afterAll(async () => {
        await testEnv.cleanup()
    })

    it("App created hook", async () => {
        const ctx = await testEnv.authenticatedContext("Taro");
        const db = ctx.firestore()
        const docRef = doc(db, 'cities', "test")
        await assertSucceeds(setDoc(docRef, { name: "Taro" }))
        await assertSucceeds(updateDoc(docRef, { age: 14, hobby: ["music", "ski"] }))
        const d = await getDoc(docRef)
        console.log(d.data())
    });
});
